Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class RuntimeVisibleorInvisibleParameterAnnotationsAttribute

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.Attribute
org.apache.commons.compress.harmony.unpack200.bytecode.AnnotationsAttribute
org.apache.commons.compress.harmony.unpack200.bytecode.RuntimeVisibleorInvisibleParameterAnnotationsAttribute

public class RuntimeVisibleorInvisibleParameterAnnotationsAttribute extends AnnotationsAttribute
Parameter annotations class file attribute, either a RuntimeVisibleParameterAnnotations attribute or a RuntimeInvisibleParameterAnnotations attribute.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `RuntimeVisibleorInvisibleParameterAnnotationsAttribute.ParameterAnnotation`
  ParameterAnnotation represents the annotations on a single parameter.

  ## Nested classes/interfaces inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.AnnotationsAttribute

  `AnnotationsAttribute.Annotation, AnnotationsAttribute.ElementValue`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.Attribute

  `attributeName`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuntimeVisibleorInvisibleParameterAnnotationsAttribute(CPUTF8 name, RuntimeVisibleorInvisibleParameterAnnotationsAttribute.ParameterAnnotation[] parameterAnnotations)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getLength()`
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  `protected void`
  `resolve(ClassConstantPool pool)`
  Allows the constant pool entries to resolve their nested entries.
  `String`
  `toString()`
  `protected void`
  `writeBody(DataOutputStream dos)`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.Attribute

  `doWrite, equals, getAttributeName, getLengthIncludingHeader, hasBCIRenumbering, hashCode, isSourceFileAttribute`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RuntimeVisibleorInvisibleParameterAnnotationsAttribute

    public RuntimeVisibleorInvisibleParameterAnnotationsAttribute(CPUTF8 name, RuntimeVisibleorInvisibleParameterAnnotationsAttribute.ParameterAnnotation[] parameterAnnotations)

- ## Method Details

  - ### getLength

    protected int getLength()
    Specified by:
      `getLength` in class `Attribute`

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()
    Overrides:
      `getNestedClassFileEntries` in class `Attribute`

  - ### resolve

    protected void resolve(ClassConstantPool pool)
    Description copied from class: `ClassFileEntry`
    Allows the constant pool entries to resolve their nested entries.
    Overrides:
      `resolve` in class `Attribute`
    Parameters:
      `pool` - TODO

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`

  - ### writeBody

    protected void writeBody(DataOutputStream dos) throws IOException
    Specified by:
      `writeBody` in class `Attribute`
    Throws:
      `IOException`